Page MenuHomePhabricator

newest version of rc.exe (resource compiler) emits error with /nologo option.
AbandonedPublic

Authored by junryoungju on Sep 10 2017, 7:55 PM.

Details

Reviewers
junryoungju
rnk
Summary

Windows 10, Version 10.0.15063
using Windows SDK 10, new version of rc.exe(resource compiler) with Visual Studio 15 2017.

I gets rc1106: invalid option: -ologo

we can fix it just fixing cmake/modules/AddLLVM.cmake

set_property(SOURCE ${resource_file}
             PROPERTY COMPILE_FLAGS /nologo)

option to

set_property(SOURCE ${resource_file}
             PROPERTY COMPILE_FLAGS)

https://bugs.llvm.org/show_bug.cgi?id=33493

Diff Detail

Repository
rL LLVM

Event Timeline

junryoungju created this revision.Sep 10 2017, 7:55 PM
This comment was removed by junryoungju.
junryoungju accepted this revision.Sep 11 2017, 12:47 AM
This revision is now accepted and ready to land.Sep 11 2017, 12:47 AM
rnk requested changes to this revision.Oct 11 2017, 5:17 PM

I have the latest rc.exe, and it supports /nologo:

$ where rc
C:\Program Files (x86)\Windows Kits\10\bin\10.0.15063.0\x64\rc.exe
C:\Program Files (x86)\Windows Kits\10\bin\x64\rc.exe

$ rc -?

Microsoft (R) Windows (R) Resource Compiler Version 10.0.10011.16384
Copyright (C) Microsoft Corporation.  All rights reserved.

Usage:  rc [options] .RC input file
Switches:
...
   /nologo  Suppress startup logo

Where are you getting this rogue copy of rc.exe?

I'm passing /nologo to rc.exe and not getting this warning.

AddLLVM.cmake
318

Why would you check the C++ compiler version? That has little to nothing to do with the version of rc in use.

This revision now requires changes to proceed.Oct 11 2017, 5:17 PM
junryoungju added inline comments.Oct 15 2017, 4:25 PM
AddLLVM.cmake
318

https://bugs.llvm.org/show_bug.cgi?id=33493

see follow link.
its not that newest version of rc.ese does not supports /nologo, it glitches with /n option to it emits error.
so better fixing just not using /nologo with newest version. because it doesn't really needs on newest.

junryoungju retitled this revision from newest version of rc.exe (resource compiler) doesn't supports /nologo to newest version of rc.exe (resource compiler) emits error with /nologo option..Oct 15 2017, 4:26 PM
rnk added inline comments.Oct 24 2017, 10:43 AM
AddLLVM.cmake
318

I have read that bug, and you didn't answer my questions. I suspect if I apply your patch locally, I will get the rc version banner, which is undesirable. My version of rc.exe is 10.0.10011.16384, and it doesn't have this problem.

junryoungju abandoned this revision.Oct 24 2017, 11:30 PM